"use strict";
/* A simple writing surface affixed to a bush of tough coral */
var Deco_Coraldesk = function(facing){
	//var decoImg = SDS_Load_Image("art/sheets/decoration/coraldesk.png");
	//var decoSheet = new TileSheet(4, 4, 1, 1, decoImg);
	//var deco = new Decoration(decoSheet,"CoralDesk");
	//deco.frame = facing ? facing : 0;

	//deco.animate = function(){
	//	deco.frame = deco.frame^2;
	//}

	//return deco;

	this.frame = facing ? facing : 0;
}

Deco_Coraldesk.prototype = new Decoration(
	new TileSheet(
		4, 4, 1, 1, 
		SDS_Load_Image("art/sheets/decoration/coraldesk.png")
	),
	"CoralDesk");

Deco_Coraldesk.prototype.animate = function(){
		this.frame = this.frame^2;
	}